> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Evaluation Criteria

> 
Create a new evaluation criteria in a project. Use to set up criteria for evaluating LLM outputs in test runs or online evaluations.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json post /api/v2/projects/{project_id}/evaluation-criteria
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/evaluation-criteria:
    post:
      tags:
        - Evaluation Criteria
      summary: Create Evaluation Criteria
      description: >-

        Create a new evaluation criteria in a project. Use to set up criteria
        for evaluating LLM outputs in test runs or online evaluations.
      operationId: post_create_evaluation_criteria
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                name:
                  title: Name
                  type: string
                target_type:
                  $ref: '#/components/schemas/TargetType'
                target_id:
                  format: uuid
                  title: Target Id
                  type: string
                type:
                  $ref: '#/components/schemas/AutoEvalCriteriaType'
                llm_eval_enabled:
                  title: Llm Eval Enabled
                  type: boolean
                id:
                  default: null
                  title: Id
                  format: uuid
                  type:
                    - string
                    - 'null'
              required:
                - name
                - target_type
                - target_id
                - type
                - llm_eval_enabled
              title: CreateEvaluationCriteriaRequest
              type: object
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    title: Id
                    type: string
                required:
                  - id
                title: CreateEvaluationCriteriaResponse
                type: object
          description: 'CreateEvaluationCriteriaResponse(id: uuid.UUID)'
components:
  schemas:
    TargetType:
      enum:
        - prompt
        - agent
      title: TargetType
      type: string
    AutoEvalCriteriaType:
      enum:
        - 1-5
        - 1-3
        - 1-100
        - yes-no
        - multi-select
        - text
        - auto-categorization
        - code-bool
        - code-float
      title: AutoEvalCriteriaType
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````